Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs
Class WPVService

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.WPVService

All Implemented Interfaces:
  OGCWebService

    public class WPVService

extends Object
implements OGCWebService

A `WPVService` deligates the clients Requests. If the rquest is an instance of GetView a (configured) GetViewHandler is instantiated to create an perspective image.

Author:
  Ugo Taddei, last edited by: $Author: mschneider $ $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Constructor Summary
`WPVService(WPVSConfiguration configuration)` Creates a new instance of `WPVService` from the configuration.

Method Summary
`Object` | `doService(OGCWebServiceRequest request)` Performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/ method.
`OGCCapabilities` | `getCapabilities()` Returns the capabilities of this service.
`protected WPVSConfiguration` | `getConfiguration()`
`GetViewHandler` | `getGetViewHandler(String splitter)` Returns a GetViewHandler which is configured to handle the given kind of splitter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WPVService

    WPVService(WPVSConfiguration configuration)

  Creates a new instance of `WPVService` from the configuration.

  Parameters:
    `configuration` -

Method Detail

### getCapabilities

    public OGCCapabilities getCapabilities()

  Returns the capabilities of this service.

  Specified by:
    `getCapabilities` in interface `OGCWebService`
  Returns:
    the capabilities, this is an instance of `WPVSCapabilities`

### doService

    public Object doService(OGCWebServiceRequest request)
                     throws OGCWebServiceException

  Performs the handling of the passed OGCWebServiceEvent directly and returns the result to the calling class/ method.

  Specified by:
    `doService` in interface `OGCWebService`
  Parameters:
    `request` - WFS request to perform
  Returns:
    result of a service operation
  Throws:
    `OGCWebServiceException`

### getGetViewHandler

    public GetViewHandler getGetViewHandler(String splitter)

  Returns a GetViewHandler which is configured to handle the given kind of splitter.

  Parameters:
    `splitter` - the name of the splitter (supported are QUAD and BBOX)
  Returns:
    the configured GetViewHandler or the default GetViewHandler if the given String is null or empty or not known.

### getConfiguration

    protected WPVSConfiguration getConfiguration()

  Returns:
    the configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org